@charset "UTF-8";
/* CSS Document */

* {
    box-sizing: border-box;
}

body {
    display: flex;
    flex-direction: row-reverse;
    width: 100vw;
    height: 100vh;
}

.wrapper {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 18px;
    flex: 1;
    flex-basis: auto;
    padding: 1.41vw 1.56vw 1.56vw;
    background: #0076a8;
}

.side {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    flex: 0;
    flex-basis: 20.31vw;
    padding: 7.5vh 1.56vw 9.75vh;
    color: #fff;
    text-align: center;
    background: #2a383f;
}

.wrapper header {
    flex: 0;
    text-align: right;
}

.wrapper .main {
    flex: 1;
    display: flex;
    gap: 1.56vw;
}

.wrapper .main > section {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 1.56vw;
}

.wrapper .main > section > section {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    flex: 1;
    padding: 10px;
    border-radius: 10px;
    background: #fff;
}
.wrapper .emissions h3,
.wrapper .reduction h4 {
    display: inline-flex;
    align-items: baseline;
    height: 28px;
    padding: 6px 12px 0;
    font-weight: bold;
    line-height: 20px;
    border-radius: 9px;
    background: #ebf2ef;
}
sub {
    font-size: 60%!important;
    vertical-align: baseline;
}

.wrapper .emissions h3 {
    width: fit-content;
    color: #666;
    font-size: 15px;
}
.wrapper .emissions h3 span{
    margin: 0 0.15em;
    color : #0076A8;
    font-size: 20px;
}
.wrapper .emissions h3 span:first-of-type{margin-left: 0;}

.wrapper section.reduction h3 {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    color: #0076A8;
    font-size: 20px;
    text-align: center;
    padding: 11px 10px;
    font-weight: bold;
    border-radius: 9px 9px 0 0;
    background: #ebf2ef;
}
.wrapper .reduction h4 {
    color : #0076A8;
    font-size: 20px;
}

.wrapper .main > section.emissions {
    flex-basis: 43.75vw;
}

.wrapper .main > section.reduction {
    position: relative;
    flex-basis: 31.25vw;
}
.wrapper .main > section.reduction > section dl {
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-evenly;
    height: 100%;
}.wrapper .main > section.reduction > section dl dd {
    display: flex;
    align-items: flex-end;
}
.wrapper .main > section.reduction > section dl dd * {
    width: 100%;
    aspect-ratio: 3 / 1.7;
    max-height: 21.25vh;
}
.wrapper .main > section.reduction > section:first-of-type {padding-top: 52px;}

.wrapper .main > section.emissions dl *,
div.graph_ttl dl *{
    font-family: 'Murecho', sans-serif;
    font-size: 18px;
    font-weight: 900;
}
.wrapper .main > section.emissions dl dt {
    font-size: 20px;
    text-align: center;
}
.wrapper .main > section.emissions dl dd * {
    width: 100%;
    height: 100%;
    aspect-ratio: 1;
    max-height: 14.12vh;
    filter: drop-shadow(0 0  3px rgba(42,56,63,0.6));
    pointer-events: none;
}
.wrapper .main > section.emissions .graph_cont {
    position: relative;
}
.wrapper .main > section.emissions .graph_cont dt {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-55%);
    z-index: 1;
}
.wrapper .main > section.emissions .dl_wrap {
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-end;
    gap: 3.28vw;
    padding-right: 2.19vw;
}

div.graph_ttl dl{
    display: flex;
    align-items: flex-start;
    width: 12.5vw;
    height: 50px;
    padding: 4px 6px;
    border-radius: 5px;
    border: 2px solid;
}
div.graph_ttl dl dd {
    margin-left: auto;
}
.wrapper .main > section.emissions div.graph_ttl dl dd {
    display: inline-flex;
    align-items: flex-end;
    height: 100%;
    font-size: 25px;
}

.wrapper .main > section.emissions section.emissions_weekly .wrap {
    position: relative;
    display: flex;
    justify-content: flex-start;
    padding: 18px 3.91vw 2px;
}
.wrapper .main > section.emissions section.emissions_weekly .wrap div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 16px;
}
.wrapper .main > section.emissions section.emissions_weekly dl.graph_cont {
    display: block;
    margin-left: auto;
    margin-right: 0;
    width: fit-content;
}
.wrapper .main > section.emissions section.emissions_weekly dl.graph_cont dt h4 {
    display: inline-block;
    margin-bottom: 14px;
    padding: 5px 10px;
    color: #485b7f;
    font-size: 18px;
    font-weight: 700;
    border-radius: 9px;
    background: #ebf2ef;
}

.wrapper .main > section.emissions section.emissions_weekly dl.graph_cont dt p {
    font-size: 24px;
}
.wrapper .main > section.emissions section.emissions_weekly dl.graph_cont dd * {
    max-height: 28.75vh;
}

.wrapper .main > section.emissions section.emissions_weekly .wrap div.graph_line {
    flex: 0;
    min-width: 48px;
    margin-right: -6.25vw;
    z-index: 1;
}
.wrapper .main > section.emissions dl:first-of-type {
    color: #55c496;
}
.wrapper .main > section.emissions dl:nth-of-type(2) {
    color: #ffc00c;
}
.wrapper .main > section.emissions dl:nth-of-type(3) {
    color: #dc3748;
}

.wrapper .main > section.emissions dl dt p,
.wrapper .main > section.emissions dl dd {
    color: #485b7f;
}

.graph_line span {
    display: block;
    content: "";
    width: 48px;
    height: 50px;
    background-size: 100% 2px;
    background-repeat: no-repeat;
    background-position: center;
    transform-origin: left;
}
.graph_line span:first-of-type {
    transform: scaleX(1.7);
    background-image: linear-gradient(90deg, rgba(85, 196, 150, 1) 0%, rgba(85, 196, 150, 1) 100%);
}
.graph_line span:nth-of-type(2) {
    transform: scaleX(1.5);
    background-image : linear-gradient(90deg, rgba(255, 192, 12, 1) 0%, rgba(255, 192, 12, 1) 100%);
}
.graph_line span:last-of-type {
    transform: scaleX(2.8);
    background-image: linear-gradient(90deg, rgba(220, 55, 72, 1) 0%, rgba(220, 55, 72, 1) 100%);
}

/*====================
    .side
====================*/
.side h2 {
    position: relative;
    padding-bottom: 2.5vh;
    font-size: 20px;
    letter-spacing: 0.1em;
    line-height: 25px;
}

.side h2 span.name {
    margin-right: .25em;
    font-size: 25px;
}

.side h2::after {
    position: absolute;
    top: 100%;
    left: 50%;
    display: block;
    content: "";
    width: 10.94vw;
    height: 4px;
    background: #0076a8;
    transform: translateX(-50%);
}

.side .period {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 3.75vh;
}
.side .period p {
    display: flex;
    align-items: center;
    gap: .5em;
    font-size: 17px;
}
.side .period span.period_wrap {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: nowrap;
    gap: .25em;
    flex: 1;
    min-width: 5.31vw;
    padding: 4px 8px;
    text-align: right;
    font-size: 15px;
    color : #666666;
    border: 1px solid #485b7f;
    background: #ebf2ef;
    border-radius: 5px;
}
.side .period span.period_wrap span {
    display: inline-block;
    content: "";
    width: 100%;
    min-width: 1px;
    text-align: left;
}

table.calendar {
    display: flex;
    flex-direction: column;
    height: 53.75vh;
    padding: 1vh 0.39vw;
    color: #2a383f;
    background: #fff;
    border-radius: 10px;
}
table.calendar * {
    font-weight: 900;
    letter-spacing: -0.02em;
}

table.calendar thead {
    display: table;
    flex: 0;
}
table.calendar thead tr th {
    display: flex;
    align-items: baseline;
    gap: .25em;
    padding: 0 1vh 0;
    text-align: left;
    font-size: 15px;
    vertical-align: bottom;
    border-bottom: 1px solid;
}
table.calendar thead tr th span.month {font-size: 30px;}


table.calendar tbody {
    display: table;
    flex: 1;
}
table.calendar tbody tr * {
    font-family: 'M PLUS 1p', sans-serif;
    font-size: 18px;
}
table.calendar tbody tr *:first-child {color: #dc3748;}
table.calendar tbody tr *:last-child {color: #2c589b;}
